ConcessionStoreDetail
Concession Store Detail provides access to the concessionstoredetail resource. The concession store details hold sumary stats and other information about a concession store. In addition notes and linked images (5 max) can be returned.
Example of a returned store object http://URL/api/concessionstoredetail?id=4
{
"response": {
"Page": 1,
"PageCount": 1,
"RecordsSent": 1,
"RecordsFound": 1,
"StoreDetail": [
{
"id": 4,
"Code": "RSilevel",
"Host_Store_Code": "RS10001",
"Account_Code": "RETAILST",
"Name": "iLevel EPOS Demo",
"Reference": "i.Level",
"Yesterday_Pieces": 0,
"Yesterday_Amount": 0,
"WTD_Pieces": 0,
"WTD_Amount": 0,
"LWK_Pieces": 0,
"LWK_Amount": 0,
"WKB_Pieces": 0,
"WKB_Amount": 0,
"Stock_Units": 55,
"Stock_Value": 5100,
"Rank": 1,
"Last_Scan": "0000-00-00T00:00:00.000Z",
"Images": [],
"Notes": []
}
]
}
}
ConcessionStoreDetail Properties
| Property | Example | Description |
|---|---|---|
| id | 4 | Unique outlet id |
| Code | "RSilevel" | Store code |
| Host_Store_Code | "RS10001" | The hosts store code (with prefix) |
| Account_Code | "RETAILST" | The host account code |
| Name | "iLevel EPOS Demo" | The store name |
| Yesterday_Pieces | 0 | Pieces sold yesterday |
| Yesterday_Amount | 0 | Value sold yesterday |
| WTD_Pieces | 0 | Pieces sold week to date |
| WTD_Amount | 0 | Value sold week to date |
| LWK_Pieces | 0 | Pieces sold last week |
| LWK_Amount | 0 | Value sold last week |
| WKB_Pieces | 0 | Pieces sold week before last |
| WKB_Amount | 0 | Value sold week before last |
| Stock_Units | 55 | Stock units at store |
| Stock_Value | 5100 | Stock value at store |
| Rank 1 | Store ranking | |
| Last_Scan | "0000-00-00T00:00:00.000Z" | Date of last store scan |
| Images | [] | Object containing images for the store (up to 5) |
| Notes | [] | Object containing store notes pulled from ConcessionStoreNote resource. |
ConcessionStoreDetail Methods
GET /api/concessionstoredetail
Returns the detail for all concession stores in the system.